javax.servlet.jsp

## Interface HttpJspPage

- All Superinterfaces:
    JspPage, Servlet

      public interface HttpJspPage
      extends JspPage

  The HttpJspPage interface describes the interaction that a JSP Page Implementation Class must satisfy when using the HTTP protocol.

  The behaviour is identical to that of the JspPage, except for the signature of the _jspService method, which is now expressible in the Java type system and included explicitly in the interface.

  See Also:
    `JspPage`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_jspService(HttpServletRequest request, HttpServletResponse response)` The _jspService()method corresponds to the body of the JSP page.

    - ### Methods inherited from interface javax.servlet.jsp.JspPage

      `jspDestroy, jspInit`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, init, service`

- - ### Method Detail

    - #### _jspService

          void _jspService(HttpServletRequest request,
                         HttpServletResponse response)
                           throws ServletException,
                                  IOException

      The _jspService()method corresponds to the body of the JSP page. This method is defined automatically by the JSP container and should never be defined by the JSP page author.

      If a superclass is specified using the extends attribute, that superclass may choose to perform some actions in its service() method before or after calling the _jspService() method. See using the extends attribute in the JSP_Engine chapter of the JSP specification.

      Parameters:
        `request` - Provides client request information to the JSP.
        `response` - Assists the JSP in sending a response to the client.
      Throws:
        `ServletException` - Thrown if an error occurred during the processing of the JSP and that the container should take appropriate action to clean up the request.
        `IOException` - Thrown if an error occurred while writing the response for this page.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.